Subject: RE: [AAA-WG]: New Issue: End to end identifier

From: "Martin Julien (ECE)" <[email-masked]>
Date: Fri, 2 Nov 2001 18:30:40 +0100

What I want to avoid, is things like Diameter peers, starting rejecting 
messages because of an e-2-e Id that would not be received in a perfect 
sequence. I prefer to play safe here on that aspect. I think the implementor 
should be left with its own e-2-e Id management problem.

Martin

> On Fri, Nov 02, 2001 at 12:20:53PM +0100, Martin Julien (ECE) wrote:
> > I am also strongly in favor of letting the implementor decide
> > on how to manage the e-2-e Id. I actually do not see any reasons 
> > for forcing it incrementing by one, and so far, only good reasons 
> > for letting this e-2-e Id assignment question up to the 
> implementors.
> 
> The motive is to get the maximum interval between duplicate ids.
> If people can't figure out how to implement id++ efficiently,
> fine, let the specification be changed to say the id MUST NOT be
> duplicated within X minutes, and pick a reasonable X.  This is not
> just a matter for the implementer, and the need for a safe id
> algorithm is especially acute for the sort of high volume node that
> would be implemented with multiple processors.
> -- 
> Barney Wolff
> 
> "Nonetheless, ease and peace had left this people still 
> curiously tough.
> They were, if it came to it, difficult to daunt or to kill; 
> and they were,
> perhaps, so unwearyingly fond of good things not least 
> because they could,
> when put to it, do without them, and could survive rough 
> handling by grief,
> foe, or weather in a way that astonished those who did not 
> know them well
> and looked no further than their bellies and their well-fed 
> faces." J.R.R.T.
>